# -*- coding: utf-8 -*-
from odoo import api, fields, models, tools, SUPERUSER_ID, _

class ProjectFields(models.Model):
    _inherit = "project.project"

    @api.model
    def get_fields_to_ignore_in_export_in_project(self):
        # this function is mainly used for to hide filter from group by
        return ['resource_calendar_id', 'website_message_ids', 'warning_employee_rate', 'privacy_visibility']

    @api.model
    def fields_get(self, allfields=None, attributes=None):
        # This function mainly use for hide below field from export
        res = super(ProjectFields, self).fields_get(allfields)
        for field in self.get_fields_to_ignore_in_export_in_project():
            if res.get(field):
                res.get(field)['exportable'] = False
        return res






